SDL_DestroyWindow(3)

NAME
SDL_DestroyWindow - Destroy a window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_DestroyWindow(SDL_Window *window);

DESCRIPTION
Any popups or modal windows owned by the window will be recursively destroyed as well. If window is NULL, this function will return immediately after setting the SDL error message to "Invalid window". See SDL_GetError ().

FUNCTION PARAMETERS

window
    the window to destroy

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_CreatePopupWindow(3), SDL_CreateWindow(3), SDL_CreateWindowWithProperties(3)